CRMchat APIBeta

List contacts

GET
/workspaces/{workspaceId}/contacts

Returns a paginated list of contacts in a workspace.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string

Query Parameters

limit?integer

Maximum number of items to return.

Range1 <= value <= 100
Default20
startingAfter?string

A cursor for pagination. Use the value from cursors.next in a previous response.

endingBefore?string

A cursor for pagination. Use the value from cursors.previous in a previous response.

filter?

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/contacts"
{  "data": [    {      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "workspaceId": "string",      "ownerId": "string",      "type": "contact",      "fullName": "string",      "description": null,      "avatarUrl": "string",      "email": "string",      "phone": "string",      "url": "string",      "amount": 0,      "telegram": {        "id": 0,        "username": "string",        "folders": [          "string"        ],        "inviteLink": "string"      },      "custom": {        "property1": "string",        "property2": "string"      },      "id": "string",      "_meta": {        "properties": {          "property1": {            "type": "single-select",            "name": "string",            "selected": {              "label": "string",              "value": "string"            }          },          "property2": {            "type": "single-select",            "name": "string",            "selected": {              "label": "string",              "value": "string"            }          }        }      }    }  ],  "hasMore": true,  "cursors": {    "next": "string",    "previous": "string"  }}